# Interface GenericConfig

Generic config type inherited by all module types

interface GenericConfig {
enabled : boolean;
modelPath : string;
skipFrames : number;
skipTime : number;
}

#### Hierarchy (View Summary)

- GenericConfig
  - FaceDetectorConfig
  - FaceMeshConfig
  - FaceIrisConfig
  - FaceAttentionConfig
  - FaceDescriptionConfig
  - FaceEmotionConfig
  - FaceAntiSpoofConfig
  - FaceLivenessConfig
  - FaceGearConfig
  - FaceConfig
  - BodyConfig
  - HandConfig
  - ObjectConfig
  - SegmentationConfig

- Defined in src/config.ts:13

##### Index

### Properties

enabled
modelPath
skipFrames
skipTime

## Properties

### enabled

enabled: boolean

is module enabled?

- Defined in src/config.ts:15

### modelPath

modelPath: string

path to model json file (relative to `modelBasePath`

- Defined in src/config.ts:17

### skipFrames

skipFrames: number

how many max frames to go without re-running model if cached results are acceptable for two-phase models such as face and hand caching applies to bounding boxes detection only

- Defined in src/config.ts:20

### skipTime

skipTime: number

how many max milliseconds to go without re-running model if cached results are acceptable for two-phase models such as face and hand caching applies to bounding boxes detection only

- Defined in src/config.ts:23